[arch-commits] Commit in gcr/repos (6 files)
Jan Steffens
heftig at archlinux.org
Sat Oct 22 23:56:39 UTC 2016
Date: Saturday, October 22, 2016 @ 23:56:39
Author: heftig
Revision: 279156
archrelease: copy trunk to testing-i686, testing-x86_64
Added:
gcr/repos/testing-i686/
gcr/repos/testing-i686/10-gcr.conf
(from rev 279155, gcr/trunk/10-gcr.conf)
gcr/repos/testing-i686/PKGBUILD
(from rev 279155, gcr/trunk/PKGBUILD)
gcr/repos/testing-x86_64/
gcr/repos/testing-x86_64/10-gcr.conf
(from rev 279155, gcr/trunk/10-gcr.conf)
gcr/repos/testing-x86_64/PKGBUILD
(from rev 279155, gcr/trunk/PKGBUILD)
----------------------------+
testing-i686/10-gcr.conf | 3 ++
testing-i686/PKGBUILD | 58 +++++++++++++++++++++++++++++++++++++++++++
testing-x86_64/10-gcr.conf | 3 ++
testing-x86_64/PKGBUILD | 58 +++++++++++++++++++++++++++++++++++++++++++
4 files changed, 122 insertions(+)
Copied: gcr/repos/testing-i686/10-gcr.conf (from rev 279155, gcr/trunk/10-gcr.conf)
===================================================================
--- testing-i686/10-gcr.conf (rev 0)
+++ testing-i686/10-gcr.conf 2016-10-22 23:56:39 UTC (rev 279156)
@@ -0,0 +1,3 @@
+ at users - memlock 1024
+
+# vim:set ft=limits:
Copied: gcr/repos/testing-i686/PKGBUILD (from rev 279155, gcr/trunk/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD (rev 0)
+++ testing-i686/PKGBUILD 2016-10-22 23:56:39 UTC (rev 279156)
@@ -0,0 +1,58 @@
+# $Id$
+# Contributor: Ionut Biru <ibiru at archlinux.org>
+
+pkgname=gcr
+pkgver=3.20.0+11+g8322f27
+pkgrel=1
+pkgdesc="A library for bits of crypto UI and parsing"
+url="https://git.gnome.org/browse/gcr"
+arch=(i686 x86_64)
+license=(GPL2)
+depends=(dconf gtk3 libgcrypt p11-kit)
+makedepends=(intltool gobject-introspection python vala libxslt gnome-common git)
+_commit=8322f271bd921278b2dd2692a7f2acdd452b1115 # gnome-3-20
+source=("git://git.gnome.org/gcr#commit=$_commit"
+ 10-gcr.conf)
+sha256sums=('SKIP'
+ '5f2eda7175ae9f23ee0e09d2beceb24fd2f6daafd7bddfcc1c1f5a3734eb60fc')
+
+pkgver() {
+ cd $pkgname
+ git describe --tags | sed 's/-/+/g'
+}
+
+prepare() {
+ mkdir path
+ ln -s /usr/bin/python2 path/python
+ cd $pkgname
+ NOCONFIGURE=1 ./autogen.sh
+}
+
+build() {
+ cd $pkgname
+ ./configure --prefix=/usr \
+ --libexec=/usr/lib/gcr \
+ --enable-gtk-doc \
+ --disable-static \
+ --disable-update-mime \
+ --disable-schemas-compile
+ sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+ make
+}
+
+check() {
+ cd $pkgname
+ PATH="$srcdir/path:$PATH" dbus-run-session make -k check || :
+}
+
+package() {
+ cd $pkgname
+ make DESTDIR="$pkgdir" install
+
+ # gcr wants to lock some memory to prevent swapping out private keys
+ # https://bugs.archlinux.org/task/32616
+ # https://bugzilla.gnome.org/show_bug.cgi?id=688161
+ install -Dm644 ../10-gcr.conf "$pkgdir/etc/security/limits.d/10-gcr.conf"
+}
+
+# vim:set ts=2 sw=2 et:
Copied: gcr/repos/testing-x86_64/10-gcr.conf (from rev 279155, gcr/trunk/10-gcr.conf)
===================================================================
--- testing-x86_64/10-gcr.conf (rev 0)
+++ testing-x86_64/10-gcr.conf 2016-10-22 23:56:39 UTC (rev 279156)
@@ -0,0 +1,3 @@
+ at users - memlock 1024
+
+# vim:set ft=limits:
Copied: gcr/repos/testing-x86_64/PKGBUILD (from rev 279155, gcr/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD (rev 0)
+++ testing-x86_64/PKGBUILD 2016-10-22 23:56:39 UTC (rev 279156)
@@ -0,0 +1,58 @@
+# $Id$
+# Contributor: Ionut Biru <ibiru at archlinux.org>
+
+pkgname=gcr
+pkgver=3.20.0+11+g8322f27
+pkgrel=1
+pkgdesc="A library for bits of crypto UI and parsing"
+url="https://git.gnome.org/browse/gcr"
+arch=(i686 x86_64)
+license=(GPL2)
+depends=(dconf gtk3 libgcrypt p11-kit)
+makedepends=(intltool gobject-introspection python vala libxslt gnome-common git)
+_commit=8322f271bd921278b2dd2692a7f2acdd452b1115 # gnome-3-20
+source=("git://git.gnome.org/gcr#commit=$_commit"
+ 10-gcr.conf)
+sha256sums=('SKIP'
+ '5f2eda7175ae9f23ee0e09d2beceb24fd2f6daafd7bddfcc1c1f5a3734eb60fc')
+
+pkgver() {
+ cd $pkgname
+ git describe --tags | sed 's/-/+/g'
+}
+
+prepare() {
+ mkdir path
+ ln -s /usr/bin/python2 path/python
+ cd $pkgname
+ NOCONFIGURE=1 ./autogen.sh
+}
+
+build() {
+ cd $pkgname
+ ./configure --prefix=/usr \
+ --libexec=/usr/lib/gcr \
+ --enable-gtk-doc \
+ --disable-static \
+ --disable-update-mime \
+ --disable-schemas-compile
+ sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+ make
+}
+
+check() {
+ cd $pkgname
+ PATH="$srcdir/path:$PATH" dbus-run-session make -k check || :
+}
+
+package() {
+ cd $pkgname
+ make DESTDIR="$pkgdir" install
+
+ # gcr wants to lock some memory to prevent swapping out private keys
+ # https://bugs.archlinux.org/task/32616
+ # https://bugzilla.gnome.org/show_bug.cgi?id=688161
+ install -Dm644 ../10-gcr.conf "$pkgdir/etc/security/limits.d/10-gcr.conf"
+}
+
+# vim:set ts=2 sw=2 et:
More information about the arch-commits
mailing list